Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.client.loadbalance
Interface ConnectionLoadBalancingPolicy

All Known Implementing Classes:
  FirstElementConnectionLoadBalancingPolicy, RandomConnectionLoadBalancingPolicy, RandomStickyConnectionLoadBalancingPolicy, RoundRobinConnectionLoadBalancingPolicy

    public interface ConnectionLoadBalancingPolicy

A ConnectionLoadBalancingPolicy defines a policy to load balance between connections.

Author:
  Tim Fox

Method Summary
`int` | `select(int max)` Returns the selected index according to the policy implementation.

Method Detail

### select

    int select(int max)

  Returns the selected index according to the policy implementation.

  Parameters:
    `max` - maximum position index that can be selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.